How do I know which libraries/artifacts I need in my app?

Options

I see there are 20 different artifacts on Maven for Android - how do I know which ones I need? Do I always need the main camerakit? camerakit-api? lenses-bundle? What are the various support-* libraries for? Thanks for helping point a newbie in the right direction!

Answers

  • stevenxu
    stevenxu Posts: 611 👻
    Options

    @Harrison Shapley Thanks for the question. Confirming receipt & will share our team's response as soon as we can.

  • stevenxu
    stevenxu Posts: 611 👻
    Options

    All the libraries marked with support in the prefix are optional and depending upon how you want to integrate you need corresponding dependencies.

    We encourage you to check out various Camera Kit sample apps on GitHub to decide which code flow you want to use as part of the integration and then decide which dependencies to include. In most cases you would need main camerakit dependency.
    @Harrison Shapley